--
-- PostgreSQL database dump
--

-- Dumped from database version 9.6.16
-- Dumped by pg_dump version 9.6.16

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: did_invoice_charge_detail; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.did_invoice_charge_detail (
    id integer NOT NULL,
    invoice_number integer,
    did_number character varying(64) NOT NULL,
    client_billing_plan_id integer,
    client_trunk_id integer,
    nrc numeric DEFAULT 0.00 NOT NULL,
    mrc numeric DEFAULT 0.00 NOT NULL,
    minutes integer DEFAULT 0,
    attempts integer DEFAULT 0,
    call_charge numeric DEFAULT 0.00 NOT NULL,
    start_date date,
    end_date date,
    mrc_number integer DEFAULT 0,
    pay_type integer DEFAULT 0
);


--
-- Name: did_invoice_charge_detail_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.did_invoice_charge_detail_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: did_invoice_charge_detail_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.did_invoice_charge_detail_id_seq OWNED BY public.did_invoice_charge_detail.id;


--
-- Name: did_invoice_charge_detail id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.did_invoice_charge_detail ALTER COLUMN id SET DEFAULT nextval('public.did_invoice_charge_detail_id_seq'::regclass);


--
-- Name: did_invoice_charge_detail did_invoice_charge_detail_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.did_invoice_charge_detail
    ADD CONSTRAINT did_invoice_charge_detail_pkey PRIMARY KEY (id);


--
-- Name: ix_did_invoice_charge_detail_did_number; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX ix_did_invoice_charge_detail_did_number ON public.did_invoice_charge_detail USING btree (did_number);


--
-- Name: did_invoice_charge_detail did_invoice_charge_detail_client_billing_plan_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.did_invoice_charge_detail
    ADD CONSTRAINT did_invoice_charge_detail_client_billing_plan_id_fkey FOREIGN KEY (client_billing_plan_id) REFERENCES public.did_billing_plan(id) ON DELETE CASCADE;


--
-- Name: did_invoice_charge_detail did_invoice_charge_detail_client_trunk_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.did_invoice_charge_detail
    ADD CONSTRAINT did_invoice_charge_detail_client_trunk_id_fkey FOREIGN KEY (client_trunk_id) REFERENCES public.resource(resource_id) ON DELETE CASCADE;


--
-- Name: did_invoice_charge_detail did_invoice_charge_detail_invoice_number_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.did_invoice_charge_detail
    ADD CONSTRAINT did_invoice_charge_detail_invoice_number_fkey FOREIGN KEY (invoice_number) REFERENCES public.invoice_summary(invoice_number) ON DELETE CASCADE;


--
-- PostgreSQL database dump complete
--

--
-- PostgreSQL database dump
--

-- Dumped from database version 9.6.16
-- Dumped by pg_dump version 9.6.16

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: did_invoice_charge_breakdown; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.did_invoice_charge_breakdown (
    id integer NOT NULL,
    invoice_number integer,
    client_billing_plan_id integer,
    client_trunk_id integer,
    nrc numeric DEFAULT 0.00 NOT NULL,
    mrc numeric DEFAULT 0.00 NOT NULL,
    minutes integer DEFAULT 0,
    attempts integer DEFAULT 0,
    call_charge numeric DEFAULT 0.00 NOT NULL,
    did_count integer DEFAULT 0
);


--
-- Name: did_invoice_charge_breakdown_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.did_invoice_charge_breakdown_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: did_invoice_charge_breakdown_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.did_invoice_charge_breakdown_id_seq OWNED BY public.did_invoice_charge_breakdown.id;


--
-- Name: did_invoice_charge_breakdown id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.did_invoice_charge_breakdown ALTER COLUMN id SET DEFAULT nextval('public.did_invoice_charge_breakdown_id_seq'::regclass);


--
-- Name: did_invoice_charge_breakdown did_invoice_charge_breakdown_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.did_invoice_charge_breakdown
    ADD CONSTRAINT did_invoice_charge_breakdown_pkey PRIMARY KEY (id);


--
-- Name: did_invoice_charge_breakdown did_invoice_charge_breakdown_client_billing_plan_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.did_invoice_charge_breakdown
    ADD CONSTRAINT did_invoice_charge_breakdown_client_billing_plan_id_fkey FOREIGN KEY (client_billing_plan_id) REFERENCES public.did_billing_plan(id) ON DELETE CASCADE;


--
-- Name: did_invoice_charge_breakdown did_invoice_charge_breakdown_client_trunk_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.did_invoice_charge_breakdown
    ADD CONSTRAINT did_invoice_charge_breakdown_client_trunk_id_fkey FOREIGN KEY (client_trunk_id) REFERENCES public.resource(resource_id) ON DELETE CASCADE;


--
-- Name: did_invoice_charge_breakdown did_invoice_charge_breakdown_invoice_number_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.did_invoice_charge_breakdown
    ADD CONSTRAINT did_invoice_charge_breakdown_invoice_number_fkey FOREIGN KEY (invoice_number) REFERENCES public.invoice_summary(invoice_number) ON DELETE CASCADE;


--
-- PostgreSQL database dump complete
--

--
-- PostgreSQL database dump
--

-- Dumped from database version 9.6.16
-- Dumped by pg_dump version 9.6.16

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: did_invoice_port_charge; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.did_invoice_port_charge (
    id integer NOT NULL,
    invoice_number integer,
    client_trunk_id integer,
    billing_port_type integer DEFAULT 0,
    price_per_max_channel numeric DEFAULT 0.00,
    max_channels integer DEFAULT 0,
    price_per_actual_channel numeric DEFAULT 0.00,
    did_count integer DEFAULT 0,
    cost_per_port numeric DEFAULT 0.00,
    port_charge numeric DEFAULT 0.00,
    capacity integer DEFAULT 0,
    dnis_cap_limit integer DEFAULT 0,
    channels integer DEFAULT 0
);


--
-- Name: did_invoice_port_charge_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.did_invoice_port_charge_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: did_invoice_port_charge_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.did_invoice_port_charge_id_seq OWNED BY public.did_invoice_port_charge.id;


--
-- Name: did_invoice_port_charge id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.did_invoice_port_charge ALTER COLUMN id SET DEFAULT nextval('public.did_invoice_port_charge_id_seq'::regclass);


--
-- Name: did_invoice_port_charge did_invoice_port_charge_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.did_invoice_port_charge
    ADD CONSTRAINT did_invoice_port_charge_pkey PRIMARY KEY (id);


--
-- Name: did_invoice_port_charge did_invoice_port_charge_client_trunk_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.did_invoice_port_charge
    ADD CONSTRAINT did_invoice_port_charge_client_trunk_id_fkey FOREIGN KEY (client_trunk_id) REFERENCES public.resource(resource_id) ON DELETE CASCADE;


--
-- Name: did_invoice_port_charge did_invoice_port_charge_invoice_number_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.did_invoice_port_charge
    ADD CONSTRAINT did_invoice_port_charge_invoice_number_fkey FOREIGN KEY (invoice_number) REFERENCES public.invoice_summary(invoice_number) ON DELETE CASCADE;


--
-- PostgreSQL database dump complete
--

--
-- PostgreSQL database dump
--

-- Dumped from database version 9.6.16
-- Dumped by pg_dump version 9.6.16

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: resource_ext; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.resource_ext (
    resource_id integer NOT NULL,
    vendor_tech_prefix public.prefix_range
);


--
-- Name: resource_ext_resource_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.resource_ext_resource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_ext_resource_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.resource_ext_resource_id_seq OWNED BY public.resource_ext.resource_id;


--
-- Name: resource_ext resource_id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.resource_ext ALTER COLUMN resource_id SET DEFAULT nextval('public.resource_ext_resource_id_seq'::regclass);


--
-- Name: resource_ext resource_ext_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.resource_ext
    ADD CONSTRAINT resource_ext_pkey PRIMARY KEY (resource_id);


--
-- PostgreSQL database dump complete
--

--
-- PostgreSQL database dump
--

-- Dumped from database version 9.6.16
-- Dumped by pg_dump version 9.6.16

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: invoice_summary_ext; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.invoice_summary_ext (
    invoice_number integer NOT NULL,
    scc_calls numeric DEFAULT 0.00 NOT NULL,
    port_charges numeric DEFAULT 0.00 NOT NULL
);


--
-- Name: invoice_summary_ext_invoice_number_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.invoice_summary_ext_invoice_number_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_summary_ext_invoice_number_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.invoice_summary_ext_invoice_number_seq OWNED BY public.invoice_summary_ext.invoice_number;


--
-- Name: invoice_summary_ext invoice_number; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.invoice_summary_ext ALTER COLUMN invoice_number SET DEFAULT nextval('public.invoice_summary_ext_invoice_number_seq'::regclass);


--
-- Name: invoice_summary_ext invoice_summary_ext_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.invoice_summary_ext
    ADD CONSTRAINT invoice_summary_ext_pkey PRIMARY KEY (invoice_number);


--
-- PostgreSQL database dump complete
--

