def check_permission(endpoint_or_entity_name, req, permission, obj=None):
    from . import settings
    from .logger import log
    if obj and hasattr(obj, 'can'):
        return obj.can(req, permission)
    permissions_module = settings.get_permissions_module()
    if not permissions_module:  # pragma: no cover
        return True
    permission_func = 'has_{}_permission'.format(permission)
            
    if not hasattr(permissions_module, permission_func):  # pragma: no cover
        return True
        
    if isinstance(endpoint_or_entity_name, str):
        entity_name = endpoint_or_entity_name
    else:
        entity_name = endpoint_or_entity_name.scheme_class.__name__.replace(
            'SchemeModify', ''
        ).replace('SchemeGet', '').replace('Scheme', '')
        
    if permission in ['create', 'list']:
        return getattr(permissions_module, permission_func)(entity_name, req)
    else:
        return getattr(permissions_module, permission_func)(entity_name, req, obj)
