from collections import OrderedDict
from inv5 import view

ROUTES = OrderedDict([
    ('Admin', {
        'description': 'Invoice admin functions',
        'routes': [
            dict(path='/invoice_task', method='post', resource=view.InvoiceTaskCreate()),
            dict(path='/invoice_task/{id}', method='path', resource=view.InvoiceTaskResource()),
            dict(path='/invoice_task/list', method='get', resource=view.InvoiceTaskList()),
            dict(path='/client/{client_id}/auto_invoice_test', resource=view.InvoiceAutoTest(), method='get'),
            dict(path='/client/{client_id}/auto_invoice_restart', resource=view.InvoiceAutoRestart(), method='get'),
        ]
    }
     ),
    ('Invoice', {
        'description': 'Invoice user functions',
        'routes': [
            dict(path='/invoice/list', resource=view.InvoiceList(), method='get'),
            dict(path='/invoice/{invoice_number}.pdf', resource=view.InvoiceFileGet(), method='get'),
            dict(path='/invoice/{invoice_number}.json', resource=view.InvoiceDataGet(), method='get'),
            dict(path='/invoice/{invoice_number}/send', resource=view.InvoiceSend(), method='post'),
        ]
    }
     )
])