import sys
import contextlib

from gunicorn.app.wsgiapp import run as grun
from celery.__main__ import main as celery
from .. import settings


@contextlib.contextmanager
def redirect_argv(args):
    sys._argv = sys.argv[:]
    sys.argv = [sys._argv[0]] + args
    yield
    sys.argv = sys._argv


def my_gunicorn():
    addr='localhost:8000'
    if ':' in settings.API_HOST and settings.API_PORT:
        s = settings.API_HOST.split(':')
        addr = '{}:{}'.format(s[0],settings.API_PORT)
    else:
        addr = settings.API_HOST
    if '127.0.0.1' in addr:
        args = 'inv5.app:get_app() -b {} -t 600 -w 1 --reload -p inv5_run.pid'.format(addr).split(' ')
    else:
        addr2 = '127.0.0.1:{}'.format(settings.API_PORT)
        args = 'inv5.app:get_app() -b {} -b {} -t 600 -w 1 --reload -p inv5_run.pid'.format(addr,addr2).split(' ')
    with redirect_argv(args):
        grun()


def my_worker():
    if len(sys.argv) < 2:
        print('usage:\n {} [NAME]'.format(sys.argv[0]))
        print('NAME is worker name')
        return
    name = sys.argv[1]
    log_level = 'info' #settings.LOG_LEVEL
    # args = '-q -b redis://localhost:6379/0 -E -A inv5.tasks worker -l debug -n "worker.{}" -P gevent -c 4'.format(name).split(' ')
    args = '-q -b {} -E -A inv5.task worker -l {} -n worker.{}'.format(settings.CELERY['CELERY_BROKER_URL'],log_level, name)
    args = args.split(' ')
    with redirect_argv(args):
        celery()


def my_beat():
    args = '-q -b {} -A inv5.task beat -l info'.format(settings.CELERY['CELERY_BROKER_URL'])
    args = args.split(' ')
    with redirect_argv(args):
        celery()
